package com.jeeplus.modules.projectrecord.dao;

import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.projectrecord.entity.ProjectRecords;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.workstaff.entity.WorkStaffBasicInfo;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@MyBatisDao
public interface WorkProjectUserDao {

    public void batchInsert(Map map);

    public void deleteProjectMembers(@Param("projectId") String projectId, @Param("isMaster")String isMaster );
    public List<User> isDelFalg(@Param("projectId") String projectId, @Param("delFlag")String delFlag );
    public int insertUsers(ProjectRecords records);
    public int deleteUsers(ProjectRecords records);

    List<User> queryProjectUsers(@Param("projectId")String projectId, @Param("isMaster")String isMaster);
    List<User> projectUsers(@Param("projectId")String projectId);
    List<User> queryAllProjectUsers(@Param("projectId")String projectId);
    void deleteProjectMasterMembers(HashMap<String, Object> map);

    int reInsertUser(ProjectRecords projectRecords);
//    int reInsertUser(@Param("projectId")String projectId,@Param("userId")String userId);
}
